Loading...
Searching...
No Matches
MouseWheelEventData Struct Reference

Additional data for mouse wheel event. More...

`#include <src/common/event.h>`

Inheritance diagram for MouseWheelEventData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

signed int | y = 0
| Amount scrolled vertically, positive value is away from the user.
signed int | x = 0
| Amount scrolled horizontally (if the mouse supports it), positive value is to the right.

## Detailed Description

Additional data for mouse wheel event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > MouseWheelEventData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## y

signed int MouseWheelEventData::y = 0

Amount scrolled vertically, positive value is away from the user.

## x

signed int MouseWheelEventData::x = 0

Amount scrolled horizontally (if the mouse supports it), positive value is to the right.

The documentation for this struct was generated from the following file:

- src/common/event.h